## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb_top.v"
vlog -novopt -incr -work work "../../project/src/dds_ii/dds_ii.vo"
vlog -novopt -incr -work work "../../project/src/top.v"
## part 3: sim design
vsim -novopt work.tb_top

## part 4: add signals
add wave -group "tb_top" {sim:/tb_top/*}
add wave "/tb_top/U_top/*"


## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 160000ns

